KSortableValueList< T, Key > Class Template Reference

`#include <ksortablevaluelist.h>`

Inheritance diagram for KSortableValueList< T, Key >:

## Public Member Functions

void | insert (Key i, const T &t)
T & | operator[] (Key i)
const T & | operator[] (Key i) const
void | sort ()

## Detailed Description

### template<class T, class Key = int>
class KSortableValueList< T, Key >

KSortableValueList is a special QValueList for KSortableItem.

It includes convenience operators to get the first value of the KSortableItem and a method to sort all items.

Definition at line 130 of file ksortablevaluelist.h.

## Member Function Documentation

template<class T , class Key = int>

void KSortableValueList< T, Key >::insert | ( | Key | i,
|  | const T & | t
| ) |  |

inline

Insert a KSortableItem with the given values.

Parameters

  i | the first value
  t | the second value

Definition at line 138 of file ksortablevaluelist.h.

template<class T , class Key = int>

T& KSortableValueList< T, Key >::operator[] | ( | Key | i | ) |

inline

Returns the first value of the KSortableItem at the given position.

Returns
  the first value of the KSortableItem

Definition at line 147 of file ksortablevaluelist.h.

template<class T , class Key = int>

const T& KSortableValueList< T, Key >::operator[] | ( | Key | i | ) | const

inline

Returns the first value of the KSortableItem at the given position.

Returns
  the first value of the KSortableItem

Definition at line 155 of file ksortablevaluelist.h.

template<class T , class Key = int>

void KSortableValueList< T, Key >::sort | ( |  | ) |

inline

Sorts the KSortableItems.

Definition at line 162 of file ksortablevaluelist.h.

The documentation for this class was generated from the following file:

- ksortablevaluelist.h

KDE Home | KDE Accessibility Home | Description of Access Keys